Skip to main content
GET
List Waitlist Entries

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-09-15"

Query Parameters

first
integer
default:20

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

last
integer

Number of results to return from the end of the range.

Required range: x <= 100
before
string

Return results before this cursor. Use page_info.start_cursor from the previous response to fetch the previous page.

plan_id
string

Only return signups for this plan, prefixed plan_.

account_id
string

Only return signups submitted to this seller account, prefixed biz_.

product_id
string

Only return signups for plans on this product, prefixed prod_.

status
enum<string>

Only return signups in this state. Canceled signups are returned only when status is canceled.

Available options:
pending,
approved,
denied,
canceled
created_before
string<date_time>

Only return signups submitted at or before this ISO 8601 timestamp.

created_after
string<date_time>

Only return signups submitted at or after this ISO 8601 timestamp.

order
enum<string>

The field to sort results by. Defaults to created_at.

Available options:
created_at
direction
enum<string>

The sort direction for results. Defaults to descending.

Available options:
asc,
desc

Response

own signups only

data
object[]
required
page_info
object
required